package com.leanwo.activiti.dto.base;

/**
 * 表单字段.
 *
 * @author YangZhiJie
 */
public class FormField {
	
	/**  字段名称. */
	private String fieldName;
	
	/**  字段标题. */
	private String displayName;

	/**  显示类型. */
	private DisplayType displayType;
	
	/**  字段提示. */
	private String placeholder;
	
	/**  表单Id. */
	private Integer formId;
	
	/**  只读. */
	private Boolean readonly;
	
	/**  隐藏. */
	private Boolean disabled;
	
	/**  必填. */
	private Boolean required;

	/**
	 * Gets the 字段名称.
	 *
	 * @return the 字段名称
	 */
	public String getFieldName() {
		return fieldName;
	}

	/**
	 * Sets the 字段名称.
	 *
	 * @param fieldName the new 字段名称
	 */
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	/**
	 * Gets the 字段标题.
	 *
	 * @return the 字段标题
	 */
	public String getDisplayName() {
		return displayName;
	}

	/**
	 * Sets the 字段标题.
	 *
	 * @param displayName the new 字段标题
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	/**
	 * Gets the 显示类型.
	 *
	 * @return the 显示类型
	 */
	public DisplayType getDisplayType() {
		return displayType;
	}

	/**
	 * Sets the 显示类型.
	 *
	 * @param displayType the new 显示类型
	 */
	public void setDisplayType(DisplayType displayType) {
		this.displayType = displayType;
	}

	/**
	 * Gets the 字段提示.
	 *
	 * @return the 字段提示
	 */
	public String getPlaceholder() {
		return placeholder;
	}

	/**
	 * Sets the 字段提示.
	 *
	 * @param placeholder the new 字段提示
	 */
	public void setPlaceholder(String placeholder) {
		this.placeholder = placeholder;
	}

	/**
	 * Gets the 表单Id.
	 *
	 * @return the 表单Id
	 */
	public Integer getFormId() {
		return formId;
	}

	/**
	 * Sets the 表单Id.
	 *
	 * @param formId the new 表单Id
	 */
	public void setFormId(Integer formId) {
		this.formId = formId;
	}

	/**
	 * Gets the 只读.
	 *
	 * @return the 只读
	 */
	public Boolean getReadonly() {
		return readonly;
	}

	/**
	 * Sets the 只读.
	 *
	 * @param readonly the new 只读
	 */
	public void setReadonly(Boolean readonly) {
		this.readonly = readonly;
	}

	/**
	 * Gets the 隐藏.
	 *
	 * @return the 隐藏
	 */
	public Boolean getDisabled() {
		return disabled;
	}

	/**
	 * Sets the 隐藏.
	 *
	 * @param disabled the new 隐藏
	 */
	public void setDisabled(Boolean disabled) {
		this.disabled = disabled;
	}

	/**
	 * Gets the 必填.
	 *
	 * @return the 必填
	 */
	public Boolean getRequired() {
		return required;
	}

	/**
	 * Sets the 必填.
	 *
	 * @param required the new 必填
	 */
	public void setRequired(Boolean required) {
		this.required = required;
	}
}
